iGPU Stopped working

sg90

Renowned Member
Sep 21, 2018
298
44
68
34
I have had iGPU of a i7-7700 passed through working for a while, however a recent update seems to have stopped it working after I rebooted the node.

I have it still working on another identical machine which I haven't yet rebooted, I have cross checked all grub / vfio settings between the two machines.

When I try and start the VM I get the following error : "TASK ERROR: no pci device info for device '00:02.0'", I have tried a couple different kernel versions including the latest 5.3.x however currently running on 5.0.21-3-pve which is what the other server is running currently with 0 issues.

However the following shows the iGPU fine.

lspci -nks 00:02.0
00:02.0 0300: 8086:5912 (rev 04)
Subsystem: 1734:121c
Kernel driver in use: vfio-pci
Kernel modules: i915


cat 123.conf
agent: 1
bootdisk: scsi0
cores: 5
cpu: host
hostpci0: 00:02.0
ide2: local:iso/virtio-win.iso,media=cdrom,size=309208K
memory: 8192
name: Win10-7
net0: virtio=00:50:56:00:96:E3,bridge=vmbr0,firewall=1
numa: 0
ostype: win10
scsi0: vm:vm-123-disk-0,discard=on,size=60G
scsihw: virtio-scsi-pci
smbios1: uuid=07793629-6e76-4186-a47d-11c4b90fe4df
sockets: 1
vmgenid: 6d63b1fa-402a-4264-9b27-10f98a8a219e

pveversion -v
proxmox-ve: 6.0-2 (running kernel: 5.0.21-3-pve)
pve-manager: 6.0-15 (running version: 6.0-15/52b91481)
pve-kernel-5.3: 6.0-12
pve-kernel-helper: 6.0-12
pve-kernel-5.0: 6.0-11
pve-kernel-4.15: 5.4-6
pve-kernel-5.3.10-1-pve: 5.3.10-1
pve-kernel-5.0.21-5-pve: 5.0.21-10
pve-kernel-5.0.21-3-pve: 5.0.21-7
pve-kernel-5.0.21-1-pve: 5.0.21-2
pve-kernel-5.0.18-1-pve: 5.0.18-3
pve-kernel-5.0.15-1-pve: 5.0.15-1
pve-kernel-4.15.18-18-pve: 4.15.18-44
ceph-fuse: 14.2.4-pve1
corosync: 3.0.2-pve4
criu: 3.11-3
glusterfs-client: 5.5-3
ksmtuned: 4.20150325+b1
libjs-extjs: 6.0.1-10
libknet1: 1.13-pve1
libpve-access-control: 6.0-4
libpve-apiclient-perl: 3.0-2
libpve-common-perl: 6.0-8
libpve-guest-common-perl: 3.0-3
libpve-http-server-perl: 3.0-3
libpve-storage-perl: 6.0-11
libqb0: 1.0.5-1
libspice-server1: 0.14.2-4~pve6+1
lvm2: 2.03.02-pve3
lxc-pve: 3.2.1-1
lxcfs: 3.0.3-pve60
novnc-pve: 1.1.0-1
proxmox-mini-journalreader: 1.1-1
proxmox-widget-toolkit: 2.0-9
pve-cluster: 6.0-9
pve-container: 3.0-13
pve-docs: 6.0-9
pve-edk2-firmware: 2.20190614-1
pve-firewall: 4.0-8
pve-firmware: 3.0-4
pve-ha-manager: 3.0-5
pve-i18n: 2.0-3
pve-qemu-kvm: 4.0.1-5
pve-xtermjs: 3.13.2-1
qemu-server: 6.0-16
smartmontools: 7.0-pve2
spiceterm: 3.1-1
vncterm: 1.6-1
 
Yeah that fixed it!

Thanks, didnt find the bug in my earlier searching.
 

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE, Proxmox Backup Server, and Proxmox Mail Gateway.
We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get yours easily in our online shop.

Buy now!